commit:     38d61e3a58de9bf45cd0e6af1261ce7ade03e868
Author:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 17 13:34:56 2021 +0000
Commit:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Sun Jan 17 13:40:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38d61e3a

x11-wm/e16: version bump

- 1.0.22 version bump
- Add sound support via ALSA
- Improve sound-related USE flags handling

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>

 x11-wm/e16/Manifest          |   1 +
 x11-wm/e16/e16-1.0.22.ebuild | 144 +++++++++++++++++++++++++++++++++++++++++++
 x11-wm/e16/metadata.xml      |   1 +
 3 files changed, 146 insertions(+)

diff --git a/x11-wm/e16/Manifest b/x11-wm/e16/Manifest
index 3afe17b7c0a..88a572a9594 100644
--- a/x11-wm/e16/Manifest
+++ b/x11-wm/e16/Manifest
@@ -1 +1,2 @@
 DIST e16-1.0.21.tar.xz 1440484 BLAKE2B 
ea9521d4939400e292e9e2be6e73770a48d966702897c30babfe036a655ef3c5d9766eca3867e1a84b8fbd934a05c4a0487239a78d641c41a6e93a19feeb70a2
 SHA512 
0f5984d3c3594bf94338c9b53c681cd40f8cc165a18d7d9e0e6202fdf237ace52d9aac9c5ba04f052f94dfd463dcf558b8015044b4d457114c19a7a27ac23723
+DIST e16-1.0.22.tar.xz 1442288 BLAKE2B 
7f102474f9054935ea15ed58c91f18613561eaad84c8398c410014a5dbfb2f7f5fd079399db4c6462096c9a351bd89e47fbd61d304ca99ec844806c26c97d6a9
 SHA512 
0ff40390a56f0dbd2219d9e4e665b1c1802801e552df3bd76fa71502ad2fb7466f2f175757b088b490fbc58e4196b362d6cf451ad43d5104849ac8ce2805299e

diff --git a/x11-wm/e16/e16-1.0.22.ebuild b/x11-wm/e16/e16-1.0.22.ebuild
new file mode 100644
index 00000000000..cd17cb3f495
--- /dev/null
+++ b/x11-wm/e16/e16-1.0.22.ebuild
@@ -0,0 +1,144 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Enlightenment Window Manager (E16)"
+HOMEPAGE="https://www.enlightenment.org 
https://sourceforge.net/projects/enlightenment/";
+SRC_URI="mirror://sourceforge/enlightenment/${P}.tar.xz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+alsa audiofile container dbus debug +dialogs doc examples
+gnome libhack modules nls opengl +pango player pulseaudio +sndfile
+sound +themes xcomposite +xft xi2 xinerama xpresent +xrandr
++xrender +xsm +xsync zoom"
+
+REQUIRED_USE="
+       opengl? ( xcomposite )
+       pango? ( xft )
+       sound? ( ^^ ( alsa player pulseaudio ) )
+       alsa?       ( ^^ ( sndfile audiofile ) )
+       pulseaudio? ( ^^ ( sndfile audiofile ) )
+"
+
+BDEPEND="
+       nls? ( sys-devel/gettext )
+       virtual/pkgconfig
+"
+COMMON_DEPEND="
+       media-libs/freetype:2
+       media-libs/imlib2[X]
+       virtual/libiconv
+       x11-libs/libX11
+       x11-libs/libXext
+       x11-misc/xbitmaps
+       dbus? ( sys-apps/dbus )
+       opengl? (
+               media-libs/glu
+               media-libs/mesa
+       )
+       pango? (
+               dev-libs/glib:2
+               x11-libs/pango[X]
+       )
+       sound? (
+               alsa? ( media-libs/alsa-lib )
+               player? ( media-sound/alsa-utils )
+               pulseaudio? ( || (
+                       media-sound/apulse[sdk]
+                       media-sound/pulseaudio
+               ) )
+               audiofile? ( media-libs/audiofile:= )
+               sndfile? ( media-libs/libsndfile )
+       )
+       xcomposite? (
+               x11-libs/libXcomposite
+               x11-libs/libXdamage
+               x11-libs/libXfixes
+       )
+       xft? ( x11-libs/libXft )
+       xinerama? ( x11-libs/libXinerama )
+       xpresent? ( x11-libs/libXpresent )
+       xrandr? ( x11-libs/libXrandr )
+       xrender? ( x11-libs/libXrender )
+       xsm? (
+               x11-libs/libICE
+               x11-libs/libSM
+       )
+       zoom? ( x11-libs/libXxf86vm )
+"
+RDEPEND="${COMMON_DEPEND}
+       doc? ( app-doc/e16-docs )
+       nls? ( virtual/libintl )
+       themes? ( x11-themes/e16-themes )
+       !x11-wm/enlightenment:0
+"
+DEPEND="${COMMON_DEPEND}
+       x11-base/xorg-proto
+"
+
+PATCHES=( "${FILESDIR}/${PN}-user-fonts.patch" )
+
+src_configure() {
+       local myconf=(
+               $(use_enable container)
+               $(use_enable dbus)
+               $(use_enable debug libtrip)
+               $(use_enable dialogs)
+               $(use_enable doc docs)
+               $(use_enable libhack)
+               $(use_enable modules)
+               $(use_enable nls)
+               $(use_enable opengl glx)
+               $(use_enable pango)
+               $(use_enable xcomposite composite)
+               $(use_enable xft)
+               $(use_enable xi2)
+               $(use_enable xinerama)
+               $(use_enable xpresent)
+               $(use_enable xrandr)
+               $(use_enable xrender)
+               $(use_enable xsm sm)
+               $(use_enable xsync)
+               $(use_enable zoom)
+               $(use_with gnome gnome gnome3)
+               --enable-mans
+               --disable-docs
+               --disable-esdtest
+               --disable-gcc-cpp
+               --disable-hints-gnome
+               --disable-werror
+               --disable-xscrnsaver
+       )
+       if use sound; then
+               use alsa       && myconf+=( --enable-sound=alsa )
+               use pulseaudio && myconf+=( --enable-sound=pulseaudio )
+               use player     && myconf+=( --enable-sound=player )
+
+               if use alsa || use pulseaudio; then
+                       use sndfile   && myconf+=( --with-sndldr=sndfile )
+                       use audiofile && myconf+=( --with-sndldr=audiofile )
+               else
+                       myconf+=( --without-sndldr )
+               fi
+       else
+               myconf+=( --disable-sound --without-sndldr )
+       fi
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       docompress -x /usr/share/doc/${PF}/e16.html
+       dodoc COMPLIANCE docs/e16.html
+       use examples && dodoc -r sample-scripts
+}
+
+pkg_postinst() {
+       einfo "In order to use custom fonts, put them into ~/.e16/fonts/ and 
use"
+       einfo "appropriate names in ~/.e16/fonts.cfg. \"Use theme font 
configuration\""
+       einfo "in the Theme setting should be disabled for this to work."
+}

diff --git a/x11-wm/e16/metadata.xml b/x11-wm/e16/metadata.xml
index 0db90998166..205741c579d 100644
--- a/x11-wm/e16/metadata.xml
+++ b/x11-wm/e16/metadata.xml
@@ -12,6 +12,7 @@
     <flag name="libhack">Build libhack window mode helper library</flag>
     <flag name="modules">Enable support for loadable modules</flag>
     <flag name="pango">Enable pango font rendering using 
<pkg>x11-libs/pango</pkg></flag>
+    <flag name="player">Enable audio using aplay from 
<pkg>media-sound/alsa-utils</pkg></flag>
     <flag name="themes">Install the official E16 themes using 
<pkg>x11-themes/e16-themes</pkg></flag>
     <flag name="xi2">Enable the experimental multipointer input XInput2. This 
incldues the MultiPointer X feature</flag>
     <flag name="xpresent">Enable support for the X Present extension via 
<pkg>x11-libs/libXpresent</pkg></flag>

Reply via email to